#define __USE_BSD
#include <grp.h>
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
MODULE = setgroups PACKAGE = setgroups
PROTOTYPES: ENABLE

int
setgroups(...)
    PREINIT:
       int i;
       gid_t *glist;
    CODE:
    if( items > 0 ) {
       glist = (gid_t *)malloc(items * sizeof(gid_t));
       for (i = 0; i < items; i++)
           glist[i] = SvIV(ST(i));
       RETVAL = setgroups( items, glist );
       free (glist);
    }
    OUTPUT:
    RETVAL
